{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function entid, repository, dialog_box\r\n$insert popup_equates\r\n\r\nSelPos = .nquery_info->selpos\r\nCurColumn = SelPos<1>\r\nCurRow = SelPos<2>\r\nif CurColumn = 1 then\r\n\tPopRec = entid( @appid<1>, 'POPUP', '', 'EXPORT_COLUMN' )\r\n\tExpData = get_property( @window, '@QColumns' )\r\n\tOverRide = ''\r\n\tOverRide<pdisplay$> = ExpData\r\n\tChoosen = repository( 'EXECUTE', PopRec, @window, OverRide )\r\n\tif Choosen then\r\n\t\tconvert @fm to @vm in Choosen\r\n\t    CurArray = .nquery_info->array\r\n\t    CurArray = delete( CurArray, 1, CurRow, 0 )\r\n\t    CurArray = delete( CurArray, 2, CurRow, 0 )\r\n\t    CurArray = insert( CurArray, 1, CurRow, 0, Choosen )\r\n\t    CurArray = insert( CurArray, 2, CurRow, 0, '' )\r\n\t    .nquery_info->Array = CurArray\r\n\tend\r\nend else\r\n    CurArray = .nquery_info->array\r\n    Column = CurArray<1,CurRow>\r\n    Filter = CurArray<2,CurRow>\r\n    DatToPass = Column:'*':Filter\r\n    RetVal = dialog_box( 'EXPORTS2', @window, DatToPass )\r\n    if RetVal <> Filter and RetVal <> 'CANCEL' then\r\n        CurArray<2,CurRow> = RetVal\r\n        .nquery_info->array = CurArray\r\n    end\r\nend\r\nreturn 0\r\n"
        }
    }
}